Page MenuHomePhabricator

"I don't handle protocol ' https'" when trying to have Phabricator watch " https://git.wikimedia.org" repo (URL with preceding whitespace)
Closed, ResolvedPublic

Description

Phabricator has a feature to watch a repository hosted elsewhere, which is being used here for testing with several repos (e.g. rMW). Several of these use https URLs (e.g. rMW has https://github.com/wikimedia/mediawiki-core, rMMV has https://gerrit.wikimedia.org/r/mediawiki/extensions/MultimediaViewer).

I tried to use https://git.wikimedia.org/git/mediawiki/extensions/GettingStarted.git (which I think is controlled by GitBlit) for GettingStarted. However, it refused to clone it (see rGETTINGSTARTED). I wonder if it's getting confused because of the .git suffix.

Details

Reference
fl246

Event Timeline

flimport raised the priority of this task from to Low.Sep 12 2014, 1:33 AM
flimport set Reference to fl246.

mattflaschen wrote on 2014-04-28 21:57:24 (UTC)

I created rGITBLIT (I chose an old project, https://git.wikimedia.org/git/mediawiki/extensions/E3Experiments.git, that is no longer being committed to) so I could test this issue specifically, then get rGETTINGSTARTED working (even if I had to use a different mirror).

Surprisingly, rGITBLIT now seems to be working (import in progress) slowly but steadily. I don't know any relevant difference, so it might be an intermittent error.

mattflaschen wrote on 2014-04-28 21:59:10 (UTC)

Full error was:

Pull of "GETTINGSTARTED" failed: Command failed with error #128! COMMAND git clone --bare -- 'xxxxx' '/data/project/phabricator-git/GETTINGSTARTED' STDOUT Cloning into bare repository '/data/project/phabricator-git/GETTINGSTARTED'... STDERR fatal: I don't handle protocol ' https'

mattflaschen wrote on 2014-04-28 23:56:43 (UTC)

It's because of the space before https. Filed upstream as https://secure.phabricator.com/T4913 (to request they trim it).

I'm going to delete the rGITBLIT project now.

mattflaschen wrote on 2014-05-11 14:27:23 (UTC)

This is fixed upstream (by validating it more strictly, not by trimming it then continuing silently).

@Aklapper Does "Waiting for upstream" mean we're waiting for upstream to fix it, or that it's already fixed upstream, but we need to update our instance so we get the fix?

qgil wrote on 2014-05-11 16:43:43 (UTC)

I'm assuming that once this is fixed upstream we can resolve it here, since our new instance will have these changes integrated.

It will be different when we have our actual Phabricator instance up, requiring to be updated.

qgil wrote on 2014-05-14 17:13:16 (UTC)

Reopening only to fix a board. Sorry for the noise.

importing issue status

flimport closed this task as Resolved.Sep 12 2014, 1:33 AM
flimport assigned this task to Qgil.Oct 2 2014, 9:46 PM
flimport added a subscriber: Qgil.